Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::diff_handler::DiffHandler Class Reference

`#include <diff_handler.hpp>`

## Public Member Functions
| DiffHandler ()=default
void | node (const osmium::DiffNode &) const noexcept
void | way (const osmium::DiffWay &) const noexcept
void | relation (const osmium::DiffRelation &) const noexcept

## Constructor & Destructor Documentation

## ◆ DiffHandler()

osmium::diff_handler::DiffHandler::DiffHandler | ( |  | ) |
| default

## Member Function Documentation

## ◆ node()

void osmium::diff_handler::DiffHandler::node | ( | const osmium::DiffNode & |  | ) | const
| inline noexcept

## ◆ relation()

void osmium::diff_handler::DiffHandler::relation | ( | const osmium::DiffRelation & |  | ) | const
| inline noexcept

## ◆ way()

void osmium::diff_handler::DiffHandler::way | ( | const osmium::DiffWay & |  | ) | const
| inline noexcept

The documentation for this class was generated from the following file:

- include/osmium/diff_handler.hpp